<?php

/**
 * Installs SVG Plugin files
 */
function syntax_plugin_svg_install()
{
	if( !file_exists( SYNTAX_PLUGIN_SVG_MEDIADIR ) )
	{
		if( !mkdir( SYNTAX_PLUGIN_SVG_MEDIADIR, 0755 ) )
		{
			return false;
		}
	}
	else
	{
		if( !is_dir( SYNTAX_PLUGIN_SVG_MEDIADIR ) ||
			 !@file_exists( SYNTAX_PLUGIN_SVG_MEDIADIR . '.' ) )
		{
			return false;
		}
	}
	
	if( !file_exists( SYNTAX_PLUGIN_SVG_MEDIADIR . 'tmp' ) )
	{
		if( !mkdir( SYNTAX_PLUGIN_SVG_MEDIADIR . 'tmp', 0755 ) )
		{
			return false;
		}
	}
	else
	{
		if( !is_dir( SYNTAX_PLUGIN_SVG_MEDIADIR . 'tmp' ) ||
			 !@file_exists( SYNTAX_PLUGIN_SVG_MEDIADIR . 'tmp/.' ) )
		{
			return false;
		}
	}
	
	if( !file_exists( SYNTAX_PLUGIN_SVG_MEDIADIR . 'media' ) )
	{
		if( !mkdir( SYNTAX_PLUGIN_SVG_MEDIADIR . 'media', 0755 ) )
		{
			return false;
		}
	}
	else
	{
		if( !is_dir( SYNTAX_PLUGIN_SVG_MEDIADIR . 'media' ) ||
			 !@file_exists( SYNTAX_PLUGIN_SVG_MEDIADIR . 'media/.' ) )
		{
			return false;
		}
	}
	
	// make sure we don't do this every time
	$fh = fopen( SYNTAX_PLUGIN_SVG_MEDIADIR . '.install.php', 'w' );
	fwrite( $fh, '<?php define("SYNTAX_PLUGIN_SVG_INSTALLED",true); ?>' );
	fclose( $fh );
	
	$fh = fopen( SYNTAX_PLUGIN_SVG_MEDIADIR . 'media/.htaccess', 'w' );
	fwrite( $fh, "order allow,deny\nallow from all\n" );
	fclose( $fh );
	
	return true;
}

?>
